#include <RCSwitch.h>
#include <Servo.h>

Servo myservo;

RCSwitch mySwitch = RCSwitch();

void setup() {
  Serial.begin(9600);
  myservo.attach(4); // servo attached to pin 4
  myservo.write(0); // reset servo to 0 position
  mySwitch.enableReceive(0);  // Receiver on interrupt 0 => that is pin #2
}

void loop() {
  while(mySwitch.available()) { // check if the receiver has received a signal
    int value = mySwitch.getReceivedValue(); // get the value of the received signal
    
    if(value != 0) { // check if the received value is valid

      myservo.write(0);// servo moves to buttonpress, then nearly immediately moves back to start position
      delay(200);
      myservo.write(90); // Play around with the angle of these 2 and the delay, a longer delay between means servo holds it longer
      delay(5000);

      Serial.println(value); // print the received value to the serial monitor, not necessary in final stages
    }
    
    mySwitch.resetAvailable(); // reset the receiver to listen for the next signal
  }     
    
    /* Serial.print("Received ");                         Ignore this code, it is extra
    Serial.print( mySwitch.getReceivedValue() );
    Serial.print(" / ");
    Serial.print( mySwitch.getReceivedBitlength() );
    Serial.print("bit ");
    Serial.print("Protocol: ");
    Serial.println( mySwitch.getReceivedProtocol() );

    mySwitch.resetAvailable(); */
  
}